Package org.python.core.io

# Class LineBufferedRandom

java.lang.Object
org.python.core.io.IOBase
org.python.core.io.BufferedIOBase
org.python.core.io.BufferedIOMixin
org.python.core.io.BufferedRandom
org.python.core.io.LineBufferedRandom

public class LineBufferedRandom extends BufferedRandom
A line buffered writer and a non buffered reader together for a random access file.

Author:
  Philip Jenvey

## Field Summary

### Fields inherited from class org.python.core.io.IOBase

`DEFAULT_BUFFER_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`LineBufferedRandom(RawIOBase rawIO)`
Construct a LineBufferedRandom wrapping the given RawIOBase.

## Method Summary

### Methods inherited from class org.python.core.io.BufferedRandom

`flush, peek, read, read1, readall, readinto, seek, tell, write`

### Methods inherited from class org.python.core.io.BufferedIOMixin

`asInputStream, asOutputStream, close, closed, fileno, isatty, readable, truncate, writable`

### Methods inherited from class org.python.core.io.BufferedIOBase

`buffered, clear`

### Methods inherited from class org.python.core.io.IOBase

`checkClosed, checkReadable, checkWritable, seek`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineBufferedRandom

public LineBufferedRandom(RawIOBase rawIO)
Construct a LineBufferedRandom wrapping the given RawIOBase.

Parameters:
  `rawIO` -